List an Organization's Issues
Return a list of issues for an organization. All parameters are supplied as query string parameters. A default query of is:unresolved is applied. To return all results, use an empty query value (i.e. ``?query=`).
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
Query Parameters:
environment(array(string))The name of environments to filter by.
project(array(undefined))The IDs or slugs of projects to filter by. Project slugs are unique within each organization. Omit this parameter to include all accessible projects.
-1is also accepted to include all accessible projects. For example, the following are valid parameters:/?project=1234&project=56789/?project=android&project=javascript-react/?project=-1
statsPeriod(string)The period of time for the query, will override the start & end parameters, a number followed by one of:
dfor dayshfor hoursmfor minutessfor secondswfor weeks
For example,
24h, to mean query data starting from 24 hours ago to now.statsPeriodStart(string)How long ago the query period starts, in the same format as
statsPeriod. Must be sent withstatsPeriodEnd, and is ignored whenstatsPeriodis sent.statsPeriodEnd(string)How long ago the query period ends, in the same format as
statsPeriod. Must be sent withstatsPeriodStart, and is ignored whenstatsPeriodis sent.start(string)The start of the period of time for the query, expected in ISO-8601 format. For example,
2001-12-14T12:34:56.7890.end(string)The end of the period of time for the query, expected in ISO-8601 format. For example,
2001-12-14T12:34:56.7890.groupStatsPeriod(string)- choices:
- 14d
- 24h
- auto
The timeline on which stats for the groups should be presented.
shortIdLookup(string)- choices:
- 0
- 1
If this is set to
1then the query will be parsed for issue short IDs. These may ignore other filters (e.g. projects), which is why it is an opt-in. query(string)An optional search query for filtering issues. A default query will apply if no query is set. For all results use this parameter with an empty string.
sort(string)- choices:
- date
- freq
- inbox
- new
- recommended
- trends
- user
The sort order of the view. Options include 'Last Seen' (
date), 'First Seen' (new), 'Trends' (trends), 'Events' (freq), 'Users' (user), 'Date Added' (inbox), and 'Recommended' (recommended). limit(integer)The maximum number of issues to return. The maximum is 100.
expand(array(string))- choices:
- inbox
- integrationIssues
- latestEventHasAttachments
- owners
- sentryAppIssues
- sessions
Additional data to include in the response.
collapse(array(string))- choices:
- base
- filtered
- lifetime
- stats
- unhandled
Fields to remove from the response to improve query performance.
cursor(string)A pointer to the last object fetched and its sort order; used to retrieve the next or previous results.
Scopes
<auth_token> requires one of the following scopes:event:adminevent:readevent:write
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/issues/ \ -H 'Authorization: Bearer <auth_token>'
Copied[ { "annotations": [], "assignedTo": { "type": "user", "id": "1", "name": "John Doe", "email": "john.doe@example.com" }, "count": "150", "culprit": "raven.scripts.runner in main", "firstSeen": "2018-11-06T21:19:55Z", "filtered": null, "inbox": { "reason": 0, "reason_details": null, "date_added": "2018-11-06T21:19:55Z" }, "hasSeen": false, "id": "1", "isBookmarked": false, "isPublic": false, "isSubscribed": true, "lastSeen": "2018-12-06T21:19:55Z", "level": "error", "logger": null, "metadata": { "title": "This is an example Python exception" }, "numComments": 0, "permalink": "https://sentry.io/the-interstellar-jurisdiction/pump-station/issues/1/", "project": { "id": "2", "name": "Pump Station", "slug": "pump-station", "platform": "python" }, "shareId": "123def456abc", "shortId": "PUMP-STATION-1", "stats": { "24h": [ [ 1541455200, 473 ], [ 1541458800, 914 ], [ 1541462400, 991 ], [ 1541466000, 925 ], [ 1541469600, 881 ], [ 1541473200, 182 ], [ 1541476800, 490 ], [ 1541480400, 820 ], [ 1541484000, 322 ], [ 1541487600, 836 ], [ 1541491200, 565 ], [ 1541494800, 758 ], [ 1541498400, 880 ], [ 1541502000, 677 ], [ 1541505600, 381 ], [ 1541509200, 814 ], [ 1541512800, 329 ], [ 1541516400, 446 ], [ 1541520000, 731 ], [ 1541523600, 111 ], [ 1541527200, 926 ], [ 1541530800, 772 ], [ 1541534400, 400 ], [ 1541538000, 943 ] ] }, "priority": "medium", "priorityLockedAt": null, "owners": [ { "type": "ownershipRule", "owner": "user:1", "date_added": "2018-11-06T21:19:55Z" }, { "type": "suspectCommit", "owner": "team:2", "date_added": "2018-11-06T21:19:55Z" } ], "platform": "python", "lifetime": { "count": "150", "userCount": 0, "firstSeen": "2018-11-06T21:19:55Z", "lastSeen": "2018-12-06T21:19:55Z" }, "seerAutofixLastTriggered": null, "seerExplorerAutofixLastTriggered": null, "seerFixabilityScore": null, "status": "ignored", "substatus": "archived_until_condition_met", "statusDetails": {}, "subscriptionDetails": null, "title": "This is an example Python exception", "type": "default", "userCount": 0, "integrationIssues": [], "sentryAppIssues": [], "isUnhandled": false, "issueCategory": "performance", "issueType": "performance_n_plus_one_db_queries", "sessionCount": 0, "latestEventHasAttachments": false, "matchingEventId": null, "matchingEventEnvironment": null, "derivedData": { "blocker": "none", "progress": "fix_applied", "status": "open", "viewCount": 42, "hasOpenFixPr": false, "isAssigned": true, "hasRootCause": true, "lastCompletedAutofixStep": "pr_created", "lastProgressedAt": "2018-12-06T21:19:55Z" } } ]